<?php
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é

header("Content-type: text/xml; charset=UTF-8");
$a=$_GET["auth"];
$tp=$_GET["ptyp"];
/*
$t=$_SERVER['QUERY_STRING'];
$t=substr($t,strpos($t,"url")+4);
*/
$url = $_REQUEST["url"];
//$t=preg_replace("/url=/","",$t,1);
if ($tp=="xml") header("Content-type: text/xml; charset=UTF-8");
if ($url=="") exit();
require('../includes/config.inc.php');
require_once('../includes/feed.inc.php');

$h = new feed($url);
$h->http->put_authorization("Basic $a");
echo  $h->load();
?>